Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class FindBugsPlugin

    java.lang.Object
      org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin
          org.gradle.api.plugins.quality.FindBugsPlugin

    class FindBugsPlugin
    extends AbstractCodeQualityPlugin

A plugin for the FindBugs byte code analyzer.

Declares a `findbugs` configuration which needs to be configured with the FindBugs library to be used. Additional plugins can be added to the `findbugsPlugins` configuration.

For projects that have the Java (base) plugin applied, a FindBugs task is created for each source set.

See Also:
  FindBugs
  FindBugsExtension

Method Summary
`protected void` | `beforeApply()`
`protected void` | `configureForSourceSet(SourceSet sourceSet, FindBugs task)`
`protected void` | `configureTaskDefaults(FindBugs task, String baseName)`
`protected CodeQualityExtension` | `createExtension()`
`protected Class` | `getTaskType()`
`protected String` | `getToolName()`

Method Detail

### beforeApply

    @Override
    protected void beforeApply()

### configureForSourceSet

    @Override
    protected void configureForSourceSet(SourceSet sourceSet, FindBugs task)

### configureTaskDefaults

    @Override
    protected void configureTaskDefaults(FindBugs task, String baseName)

### createExtension

    @Override
    protected CodeQualityExtension createExtension()

### getTaskType

    @Override
    protected Class getTaskType()

### getToolName

    @Override
    protected String getToolName()

Gradle API 1.1-rc-1